### Hierarchy

- SocketConstructorOpts
  - TcpNetConnectOpts
  - IpcNetConnectOpts

## Index

### Properties

- allowHalfOpen
- fd
- readable
- writable

## Properties

### Optional allowHalfOpen

allowHalfOpen: undefined | false | true

- Defined in node_modules/@types/node/net.d.ts:16

### Optional fd

fd: undefined | number

- Defined in node_modules/@types/node/net.d.ts:15

### Optional readable

readable: undefined | false | true

- Defined in node_modules/@types/node/net.d.ts:17

### Optional writable

writable: undefined | false | true

- Defined in node_modules/@types/node/net.d.ts:18

Generated using TypeDoc